
CoCoALib - Design #1768

Limit indentation in verbose mesgs?

19 Nov 2023 19:32 - John Abbott

Status: Closed Start date: 19 Nov 2023

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 1.23 hour

Target version: CoCoALib-0.99850 Spent time: 1.00 hour

Description

I have an infinite recursion bug, and with verbosity active the indentation becomes rather large :-/

Should we impose a limit for the indentation?  Maybe level 20?

Discuss, decide.

Related issues:

Related to CoCoALib - Design #1721: Verbose messages: print level? Closed 19 Jan 2023

History

#1 - 19 Nov 2023 19:34 - John Abbott

I suggested a limit of 20 because that is not so much indentation, and I can imagine few genuine situations where we would need depth greater than

20.  Perhaps even a lower limit would be OK?

I stopped my infinite recursion at level 420... oops!

#2 - 19 Nov 2023 19:34 - John Abbott

- Related to Design #1721: Verbose messages: print level? added

#3 - 20 Nov 2023 09:54 - Anna Maria Bigatti

John Abbott wrote:

I suggested a limit of 20 because that is not so much indentation, and I can imagine few genuine situations where we would need depth greater

than 20.  Perhaps even a lower limit would be OK?

 

I agree with you for the risk of infinite loops, but I would set the limit a lot higher: I have a genuine example which reached with depth 31 (and

running), because depth is also due to nested function call, not just recursion.

If your window is full width, you can comfortably see 180 characters in a line.

I suggest around 100.

#4 - 20 Nov 2023 10:05 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 30

The point is whether we should impose a limit.  I agree that 20 is probably too low.  We can try with 100, and possibly change it in the future if the

need arises.
#5 - 20 Nov 2023 22:10 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 30 to 70

I have checked in a first version (but not actually tested it...)

#6 - 01 Dec 2023 21:30 - John Abbott

Anna will test the updated code shortly (I hope)

#7 - 13 Jan 2024 22:20 - John Abbott

Can we close this?

Anna do you agree?

#8 - 22 Jan 2024 10:36 - John Abbott

- Status changed from Resolved to Closed

- Assignee set to John Abbott

- % Done changed from 70 to 100

- Estimated time set to 1.23 h
